DCMTK: DcmFGTypes Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Types | Static Public Member Functions | Static Public Attributes | List of all members
DcmFGTypes Class Reference

General purpose class hiding global functions, constants and types related to functional groups from the global namespace. More...

## Public Types
enum | E_FGType { EFG_UNDEFINED , EFG_UNKNOWN , EFG_CARDIACSYNC , EFG_CONTRASTBOLUSUSAGE , EFG_CTACQUISITIONDETAILS , EFG_CTACQUISITIONTYPE , EFG_CTADDITIONALXRAYSOURCE , EFG_CTEXPOSURE , EFG_CTGEOMETRY , EFG_CTIMAGEFRAMETYPE , EFG_CTPOSITION , EFG_CTRECONSTRUCTION , EFG_CTTABLEDYNAMICS , EFG_CTXRAYDETAILS , EFG_DERIVATIONIMAGE , EFG_FRAMEANATOMY , EFG_FRAMECONTENT , EFG_FRAMEDISPLAYSHUTTER , EFG_FRAMEPIXELSHIFT , EFG_FRAMEVOILUTMETA , EFG_IMAGEDATATYPE , EFG_IRRADIATIONEVENTIDENT , EFG_PARAMETRICMAPFRAMETYPE , EFG_PATIENTORIENTINFRAME , EFG_PATIENTPHYSIOSTATE , EFG_PIXELINTENSITYRELLUT , EFG_PIXELMEASURES , EFG_PIXELVALUETRANSMETA , EFG_PLANEORIENTVOLUME , EFG_PLANEPOSITIONVOLUME , EFG_PLANEPOSPATIENT , EFG_PLANEORIENTPATIENT , EFG_RADIOPHARAMAUSAGE , EFG_REALWORLDVALUEMAPPING , EFG_RESPIRATORYSYNC , EFG_SEGMENTATION , EFG_TEMPORALPOSITION , EFG_UNASSIGNEDSHAREDCONVERTEDATTRIBUTES , EFG_USIMAGEDESCRIPTION }
| Functional group types. More...
enum | E_FGSharedType { EFGS_UNKNOWN , EFGS_BOTH , EFGS_ONLYSHARED , EFGS_ONLYPERFRAME }
| Functional group types. More...
enum | E_FGUSFrameType { EFGFT_UNKNOWN , EFGFT_ORIGINAL , EFGFT_DERIVED }
| US Image Description Frame Type (first value). More...

## Static Public Member Functions
static E_FGType | tagKey2FGType (const DcmTagKey &key)
| Returns functional group type based on tag key.
static OFString | FGType2OFString (const E_FGType fgType)
| Returns the name of the functional group based on the group type.
static OFString | tagKey2FGString (const DcmTagKey &key)
| Returns the name of a functional group based on a given tag key.

## Static Public Attributes
static const Uint32 | DCMFG_MAX_FRAMES = 2147483647
| Maximum number of frames, limited by Number of Frames attribute which maxes out at 2^31-1.

## Detailed Description

General purpose class hiding global functions, constants and types related to functional groups from the global namespace.

## Member Enumeration Documentation

## ◆ E_FGSharedType

enum DcmFGTypes::E_FGSharedType

Functional group types.

Enumerator
EFGS_UNKNOWN | Unknown.
EFGS_BOTH | Functional Group can be shared or per-frame.
EFGS_ONLYSHARED | Functional Group can only be shared (not per-frame).
EFGS_ONLYPERFRAME | Functional Group can only be per-frame (not shared).

## ◆ E_FGType

enum DcmFGTypes::E_FGType

Functional group types.

Enumerator
EFG_UNDEFINED | Undefined functional group.
EFG_UNKNOWN | Unknown functional group.
EFG_CARDIACSYNC | Cardiac Synchronization.
EFG_CONTRASTBOLUSUSAGE | Contrast/Bolus Usage.
EFG_CTACQUISITIONDETAILS | CT Acquisition Details.
EFG_CTACQUISITIONTYPE | CT Acquisition Type.
EFG_CTADDITIONALXRAYSOURCE | CT Additional X-Ray Source.
EFG_CTEXPOSURE | CT Exposure.
EFG_CTGEOMETRY | CT Geometry.
EFG_CTIMAGEFRAMETYPE | CT Image Frame Type.
EFG_CTPOSITION | CT Position.
EFG_CTRECONSTRUCTION | CT Reconstruction.
EFG_CTTABLEDYNAMICS | CT Table Dynamics.
EFG_CTXRAYDETAILS | CT X-Ray Details.
EFG_DERIVATIONIMAGE | Derivation Image.
EFG_FRAMEANATOMY | Frame Anatomy.
EFG_FRAMECONTENT | Frame Content.
EFG_FRAMEDISPLAYSHUTTER | Frame Display Shutter.
EFG_FRAMEPIXELSHIFT | Frame Pixel Shift.
EFG_FRAMEVOILUTMETA | "Frame VOI LUT" or "Frame VOI LUT with LUT" Macro (share same starting sequence)
EFG_IMAGEDATATYPE | Image Data Type.
EFG_IRRADIATIONEVENTIDENT | Irradiation Event Identification.
EFG_PARAMETRICMAPFRAMETYPE | Parametric Map Frame Type.
EFG_PATIENTORIENTINFRAME | Patient Orientation in Frame.
EFG_PATIENTPHYSIOSTATE | Patient Physiological State.
EFG_PIXELINTENSITYRELLUT | Pixel Intensity Relationship LUT.
EFG_PIXELMEASURES | Pixel Measures.
EFG_PIXELVALUETRANSMETA | "Pixel Value Transformation", "Identity Pixel Value Transformation", or "CT Pixel Value Transformation"; all the same sequence and attributes.
EFG_PLANEORIENTVOLUME | Plane Orientation (Volume).
EFG_PLANEPOSITIONVOLUME | Plane Position (Volume).
EFG_PLANEPOSPATIENT | Plane Position (Patient).
EFG_PLANEORIENTPATIENT | Plane Orientation (Patient).
EFG_RADIOPHARAMAUSAGE | Radiopharmaceutical Usage.
EFG_REALWORLDVALUEMAPPING | Real World Value Mapping.
EFG_RESPIRATORYSYNC | Respiratory Synchronization.
EFG_SEGMENTATION | Segmentation Macro.
EFG_TEMPORALPOSITION | Temporal Position Macro.
EFG_UNASSIGNEDSHAREDCONVERTEDATTRIBUTES | Unassigned Shared Converted Attributes Macro.
EFG_USIMAGEDESCRIPTION | US Image Description Macro.

## ◆ E_FGUSFrameType

enum DcmFGTypes::E_FGUSFrameType

US Image Description Frame Type (first value).

Enumerator
EFGFT_UNKNOWN | Unknown.
EFGFT_ORIGINAL | ORIGINAL.
EFGFT_DERIVED | DERIVED.

## Member Function Documentation

## ◆ FGType2OFString()

OFString DcmFGTypes::FGType2OFString | ( | const E_FGType | fgType | ) |
| static

Returns the name of the functional group based on the group type.

Parameters

  fgType | The functional group type

Returns
  The name of the functional group

## ◆ tagKey2FGString()

OFString DcmFGTypes::tagKey2FGString | ( | const DcmTagKey & | key | ) |
| static

Returns the name of a functional group based on a given tag key.

Parameters

  key | The tag key to get the functional group type for

Returns
  The name of the functional group

## ◆ tagKey2FGType()

E_FGType DcmFGTypes::tagKey2FGType | ( | const DcmTagKey & | key | ) |
| static

Returns functional group type based on tag key.

Parameters

  key | The key to get the group type for

Returns
  The functional group type

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgtypes.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1